package com.ningdatech.pmapi.performance.model.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.ningdatech.pmapi.projectlib.model.vo.ProjectDetailVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @Classname PerformanceAppraisalProjectVO
 * @Description 绩效评价对象
 * @Date 2023/6/19 14:02
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "绩效评价项目对象", description = "绩效评价项目对象")
public class PerformanceAppraisalProjectVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目ID")
    private Long id;

    @ApiModelProperty("项目编码")
    private String projectCode;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("申报单位")
    private String buildOrgName;

    @ApiModelProperty("项目类型")
    private Integer projectType;

    @ApiModelProperty("项目类型名")
    private String projectTypeName;

    @ApiModelProperty("是否复评")
    private Boolean isReAppraisal;

    @ApiModelProperty("申报金额")
    private BigDecimal declareAmount;

    @ApiModelProperty("预算年度")
    private Integer projectYear;

    @ApiModelProperty("是否可自评")
    private Boolean canSelfAppraisal = Boolean.FALSE;

    @ApiModelProperty("自评开始时间")
    private LocalDateTime selfAppraisalStart;

    @ApiModelProperty("自评结束时间")
    private LocalDateTime selfAppraisalEnd;

    @ApiModelProperty("自评总分")
    private BigDecimal selfAppraisalScore;

    @ApiModelProperty("打分时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private LocalDateTime scoreTime;


}
